<?php

/*
Reportes:
1. Clientes Nuevos (Cantidad)  --> CN
2. Clientes Vencidos (Monto Saldo y Cantidad) --> PV
3. Morosos (Monto Saldo y Cantidad) --> PM
4. Gasto Administrativo --> PGA
5. Prestamos Nuevos --> PN
6. Prestamos Renovados --> PR
7. Prestamos Refinanciados --> PF
8. Cobranza de Mora --> CM
9. Capital de Trabajo --> CaT
10. Cobranza diaria --> CD

*/

set_time_limit (3600 );

define('SF_ROOT_DIR', "/home/sinergiaperu/public_html/sinergia");
//define('SF_ROOT_DIR', "C://wamp/www/sinergia");
define('SF_APP',      'sys');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR."lib".DIRECTORY_SEPARATOR."functions".DIRECTORY_SEPARATOR."HelperHelper.php");
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_core_compile.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'cache'.DIRECTORY_SEPARATOR.'config_autoload.php');


////////////////////////////////////////////////////////////////////////////////////////
//clases incluidas del sistema



$con = Conexion::getConexion();
$a_param = Conexion::getParamDbByAlias($apps);

if (!mysql_select_db($a_param['db'], $con)) {
    echo 'Could not select database';
    exit;
}



use_helper('UtilFunctions');
$o_ObjectBean = new PrestamoBean();

$cboMercado = 2;
$cboColaborador = 4;
  
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO  

if($cboMercado     	!=""){ $o_ObjectBean->setIdMercado($cboMercado);}
if($cboColaborador     	!=""){ 
	$o_ObjectBean->setIdColaboradorPrestamo($cboColaborador);
}else{
	if(myUser::getUser()->getRoleId() == "sys.gen" || myUser::getUser()->getRoleId() == "sys.res" || myUser::getUser()->getRoleId() == "sys.sup"|| myUser::getUser()->getRoleId() == "sys.view"){
		if(myUser::getUser()->getRoleId() == "sys.gen" ) $permitir_ts = 1;
	}else{
		$o_ObjectBean->setIdColaboradorPrestamo(myUser::getUser()->getIdColaborador());
	}
}

if($FechaInicial  !=""){ $o_ObjectBean->setFechaInicio($FechaInicial); }

$o_ObjectBean->setEstado('P');
$o_ObjectBean->setFlagReporte('2');

$o_class = new PrestamoBL();
$a_ObjectBean = $o_class->busquedaPrestamo($o_ObjectBean);
/*****************************************/



$pdf = new TCPDF('P', 'mm','A4', true); 

$pdf->setHeaderFont(array('times','',11));
$pdf->setFooterMargin('12');



$o_ColaboradorBean = new ColaboradorBean();
$o_ColaboradorBean->setIdColaborador($cboColaborador);
$o_ColaboradorBL = new ColaboradorBL();
$a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);

foreach ($a_o_Colaborador as $key => $o_Colaborador){
	$NombreRepresentante = utf8_encode(ucwords($o_Colaborador->getNombreCompleto()));
	
}

/////////////////////////////////////////////////////////////////////////////
$o_sucursalmercadoBean = new SucursalMercadoBean();
$o_sucursalmercadoBean->setIdMercado($cboMercado);

$o_sucursalmercadoDP = new SucursalMercadoDP($o_sucursalmercadoBean);
$a_o_sucursalmercadoDP = $o_sucursalmercadoDP->select();

foreach ($a_o_sucursalmercadoDP as $key => $o_sucursalmercado){
	$IdSucursal = $o_sucursalmercado->getIdSucursal();
}


$o_BalanceDiaNew = new BalanceDiaBean();
$o_BalanceDiaNew->setIdSucursal($IdSucursal); 


$o_BalanceDiaNewDP 		= new BalanceDiaDP($o_BalanceDiaNew);
$fechaBalanceAbierto  	= $o_BalanceDiaNewDP->ObtenerDiaAbierto();
//////////////////////////////////////////////////////////////////////////////////////


$o_MercadoBean = new MercadoBean();
$o_MercadoBean->setIdMercado($cboMercado);
$o_MercadoBL = new MercadoBL();
$a_o_Mercado = $o_MercadoBL->busquedaMercado($o_MercadoBean);

foreach ($a_o_Mercado as $key => $o_Mercado){
	$NombreMercado = utf8_encode(ucwords($o_Mercado->getDescripcion()));
}


$str = 'Mercado:'.ucwords($NombreMercado).'          *Representante :'.ucwords($NombreRepresentante).' Fecha:'.$fechaBalanceAbierto;


$pdf->setHeaderData('','','Cobranza Diaria',$str);

define("POS_IZQ", 1);

$pdf->AddPage();

/*iniciop titulo*/
$pdf->SetFont('times','B',14);
$pdf->SetX(POS_IZQ);


/*fin titulo*/

/*inicio de cabecera*/
$pdf->SetFont('times','B',11);
$pdf->SetXY(POS_IZQ,11);



foreach ($a_ObjectBean as $iKey => $o_objBean){
  $sumaTotalSaldo += $o_objBean->getSaldoPrestamo();
   $fecha_tope = date('Y-m-d',strtotime($o_objBean->getFechaVencimiento().' +7 day'));
   // if($o_objBean->getEstado() == 'P' && $o_objBean->getFechaVencimiento() < date('Y-m-d')){ 
   
   if($o_objBean->getFechaVencimiento() > $fechaBalanceAbierto){
   	
   }elseif($fecha_tope <= $fechaBalanceAbierto){
		$a_prestamosId_PM[] =  $o_valor_pvm->IdPrestamo;
		$sumaMoroso += $o_objBean->getSaldoPrestamo();
	}else{
		//echo $o_valor_p->IdPrestamo."--><br>";
		$a_prestamosId_PV[] =  $o_valor_pvm->IdPrestamo;
			$sumaVencido += $o_objBean->getSaldoPrestamo();
	}
   		
  	//$sumaVencido += $o_objBean->getSaldoPrestamo();
  
}


$pdf->SetFillColor(254,254,254);
$pdf->SetFont('times','',9);

$pdf->SetX(POS_IZQ);
$pdf->Cell(25,3,"*N.P: ".(count($a_ObjectBean)),0,0,'L',1);
if($permitir_ts == 1){
	$pdf->Cell(25,3,"T.S: ".(number_format($sumaTotalSaldo,2)),0,0,'L');
}
		
	  
$pdf->SetTextColor(145, 45, 139);
$pdf->Cell(25,3,"T.Venc.: ".(number_format($sumaVencido,2)),0,0,'L');
$pdf->SetTextColor(255, 0, 0);		
$pdf->Cell(25,3,"T.Moroso: ".(number_format($sumaMoroso,2)),0,1,'L',1);
$pdf->SetTextColor(0, 0, 0); 
$pdf->SetX(POS_IZQ); 
$pdf->SetFillColor(236,235,236);  
$pdf->SetFont('times','',9);
$pdf->Cell(11,4,'Nro.',1,0,'L',1);
$pdf->Cell(50,4,'Cliente',1,0,'L',1);

$pdf->Cell(12,4,'',1,0,'L',1);
//$pdf->Cell(7,4,'',1,0,'L',1);
$pdf->Cell(17,4,'F.Ini',1,0,'L',1);
$pdf->Cell(9,4,'G.A',1,0,'L',1);

$pdf->Cell(18,4,'Capital',1,0,'L',1);
$pdf->Cell(18,4,'Saldo',1,0,'L',1);
$pdf->Cell(14,4,'C.Pago',1,0,'L',1);

$pdf->Cell(6,4,'NP',1,0,'L',1);


$pdf->Cell(10,4,'Ult.Pag.',1,0,'L',1);
$pdf->Cell(18,4,'Telefono',1,0,'L',1);
$pdf->Cell(12,4,'Mora',1,0,'L',1);
$pdf->Cell(10,4,'',1,1,'L',1);
/*fin de cabecera*/



$pos    = 55;
$count  = 0;
$x      = 0;
$pdf->SetFillColor(254,254,254);
$pdf->SetFont('times','',9);

if(count($a_ObjectBean)>0){
//for($i=1;$i<50;$i++){	
  reset($a_ObjectBean);
 
  
  foreach ($a_ObjectBean as $iKey => $o_objBean){
	  $pdf->SetTextColor(0, 0, 0);
  	  $fechaven = "";	
  	  $vencido = "";	
  	  $moroso = "";	
  	  $fecha_tope = date('Y-m-d',strtotime($o_objBean->getFechaVencimiento().' +7 day'));
  	  
	if($o_objBean->getFechaVencimiento() > $fechaBalanceAbierto){
   	
   	}elseif($fecha_tope <= $fechaBalanceAbierto){
		$estadoO = "M";
	}else{
		$estadoO = "V";
	}
  	  
	  
  	  if($o_objBean->getOrigen() == 'R'){
  	  	$origen ='N';
  	  }elseif($o_objBean->getOrigen() == 'F'){
  	  	$origen ='R';
  	  }
  	  $amortizacion = $o_objBean->getMontoTotal() - $o_objBean->getSaldoPrestamo();
      $pdf->SetX(POS_IZQ);
	  if($estadoO  == "V"){
		$pdf->SetTextColor(145, 45, 139);
	  }elseif($estadoO  == "M"){
		$pdf->SetTextColor(255, 0, 0);
	  }else{
		$pdf->SetTextColor(0, 0, 0);
	  }
      $pdf->Cell(11,4,($o_objBean->getIdCliente()),1,0,'L',1);
      $pdf->Cell(50,4,utf8_encode(ucwords(strtolower($o_objBean->getObjectCliente()->getNombreCompleto()))),1,0,'L',1);
      $pdf->SetTextColor(0, 0, 0);
      
      if($o_objBean->getIdCliente()){
      	$o_ClienteBean = new ClienteBean();
      	$o_ClienteBean->setIdCliente($o_objBean->getIdCliente());
      	$o_ClienteDP = new ClienteDP($o_ClienteBean);
      	$a_o_ClienteDP = $o_ClienteDP->select();
      	foreach ($a_o_ClienteDP as $Key => $o_objCliente){
			$celular = trim($o_objCliente->getCelular());
			if($celular) $telefono = $celular;
      		else $telefono = $o_objCliente->getTelefono();
      		$IdTipoNegocio = $o_objCliente->getIdTipoNegocio();
			$OtroTipoNegocio = $o_objCliente->getOtroTipoNegocio();
			if($OtroTipoNegocio){
				$DescripcionNegocio = $OtroTipoNegocio; 
      		}elseif($IdTipoNegocio){
      			$o_TipoNegocioBean = new TipoNegocioBean();
      			$o_TipoNegocioBean->setIdTipoNegocio($IdTipoNegocio);
		      	$o_TipoNegocioDP = new TipoNegocioDP($o_TipoNegocioBean);
		      	$a_o_TipoNegocioDP = $o_TipoNegocioDP->select();
		      	foreach ($a_o_TipoNegocioDP as $Keytn => $o_TipoNegocioDP){
		      		$DescripcionNegocio = $o_TipoNegocioDP->getDescripcion();
		      	}
      		}
      	}
		
      }
      $pdf->Cell(12,4,"",1,0,'C',1);
      //$pdf->Cell(7,4,"",1,0,'C',1);
	 
      $pdf->Cell(17,4,substr($o_objBean->getFechaInicio(),0,10),1,0,'C',1);
      $pdf->Cell(9,4,number_format($o_objBean->getGastoAdministrativo(),2),1,0,'C',1);
      $pdf->Cell(18,4,number_format($o_objBean->getMontoTotal(),2),1,0,'R',1);
	  if($estadoO  == "V"){
		$pdf->SetTextColor(145, 45, 139);
	  }elseif($estadoO  == "M"){
		$pdf->SetTextColor(255, 0, 0);
	  }else{
		$pdf->SetTextColor(0, 0, 0);
	  }
      $pdf->Cell(18,4,number_format($o_objBean->getSaldoPrestamo(),2),1,0,'R',1);
      $pdf->SetTextColor(0, 0, 0);
      //$pdf->Cell(9,4,number_format($amortizacion,2),1,0,'R',1);
      $pdf->Cell(14,4,number_format($o_objBean->getCuotaPago(),2),1,0,'R',1);
	  
      $pdf->Cell(6,4,$o_objBean->getNroPagos(),1,0,'C',1);
     
      //$pdf->Cell(5,4,$fechaven,1,0,'R',1);
      $pdf->SetFont('times','',9);

      //$pdf->Cell(5,4,$origen,1,0,'C',1);
      //$pdf->Cell(15,4,getEstadoCondicion($o_objBean->getCondicion()),1,0,'C',1);
      $pdf->Cell(10,4,number_format($o_objBean->getPago_1(),2),1,0,'L',1);
	  
	   $pdf->Cell(18,4,$telefono,1,0,'L',1);
	   $saldoMora = '';
	   if($o_objBean->getSaldoMora()>0) $saldoMora = $o_objBean->getSaldoMora();
	   $pdf->Cell(12,4,$saldoMora,1,0,'L',1);
	   $pdf->Cell(10,4,"",1,1,'L',1);
      //$pdf->Cell(14,4,substr($DescripcionNegocio,0,10),1,1,'L',1);

 
      //$pdf->Cell(10,0,'',1,1,'L',1);
      
    }
   /* $pdf->SetX(POS_IZQ);
	$pdf->Cell(61,4,'Totales',1,0,'R',1);
	$pdf->Cell(16,4,'',1,0,'L',1);
	//$pdf->Cell(7,4,'',1,0,'L',1);
	$pdf->Cell(17,4,'',1,0,'L',1);
	$pdf->Cell(9,4,'',1,0,'L',1);
	*/
//}
}else{  
  $pdf->SetXY(POS_IZQ,$pos);
  $pdf->Cell(200,4,"No hay registros.",0,0,'L',1);
  
}
//$pdf->Output();
$pdf->Output('files/hotel4cast.pdf', 'F');

//echo $attachement;




$mail = new PHPMailer();

//Luego tenemos que iniciar la validación por SMTP:
$mail->isSMTP();
$mail->SMTPAuth = true;
$mail->Host = "mail.sinergiaperu.com"; // A RELLENAR. Aquí pondremos el SMTP a utilizar. Por ej. mail.midominio.com
$mail->Username = "sistemas@sinergiaperu.com"; // A RELLENAR. Email de la cuenta de correo. ej.info@midominio.com La cuenta de correo debe ser creada previamente. 
$mail->Password = "py[58RZuqVIj"; // A RELLENAR. Aqui pondremos la contraseña de la cuenta de correo
//$mail->Port = 465; // Puerto de conexión al servidor de envio. 
$mail->From = "sistemas@sinergiaperu.com"; // A RELLENARDesde donde enviamos (Para mostrar). Puede ser el mismo que el email creado previamente.
$mail->FromName = "Sinergia"; //A RELLENAR Nombre a mostrar del remitente. 
$mail->AddAddress("msotomayor@dataexe.com"); // Esta es la dirección a donde enviamos 
$mail->AddAddress("mascruz13@hotmail.com"); // Esta es la dirección a donde enviamos 
$mail->isHTML(true); // El correo se envía como HTML 
$mail->Subject = "Prueba"; // Este es el titulo del email. 
$body = "Hola mundo. Esta es la primer línea "; 
$body .= "Aquí continuamos el mensaje"; 
$mail->Body = $body; // Mensaje a enviar. 
//$attachment = chunk_split($attachment);
//$mail->AddStringAttachment($attachment, 'filename.pdf','base64', "application/pdf");
//$mail->AddStringAttachment($attachment, 'some_filename.pdf');
$mail->AddAttachment('files/hotel4cast.pdf'); 
$exito = $mail->Send(); // Envía el correo.
if($exito)
{ 
	echo "El correo fue enviado correctamente."; 
}else{ 
	echo "Hubo un problema. Contacta a un administrador."; 
} 








exit;

$fechaUltima=  date('Y-m-d');
$fechaInicio= date('Y-m-d',strtotime($fechaUltima.'-11 day'));




$sql = "SELECT distinct FechaBalance
		FROM `cr_balance_dia_detalle`
		WHERE 	`FechaBalance` >= '".$fechaInicio."' 
				and FechaBalance <= '".$fechaUltima."' ";
	
$result = mysql_query($sql,$con);

$num_rows = mysql_num_rows($result);
    

if($num_rows > 0){
  while ($o_valor = mysql_fetch_object($result)) {
  	
  	  $FechaBalance = $o_valor->FechaBalance;	
  	
  	  $sql = "SELECT cr_sucursal.IdSucursal, cr_sucursal.Descripcion as NombreSucursal,  cr_mercado.IdMercado , cr_mercado.Descripcion as NombreMercado ,  cr_colaborador.IdColaborador , concat(cr_colaborador.ApellidoPaterno,' ',cr_colaborador.ApellidoMaterno,', ',cr_colaborador.Nombres) as NombreRepresentante 
       		  FROM cr_sucursal
       		  INNER JOIN  cr_sucursal_mercado 	on cr_sucursal.idSucursal = cr_sucursal_mercado.idSucursal
       		  INNER JOIN  cr_mercado 			on cr_mercado.idMercado = cr_sucursal_mercado.idMercado
       		  INNER JOIN  cr_mercado_representante	on cr_mercado.idMercado = cr_mercado_representante.idMercado
       		  INNER JOIN  cr_colaborador	on cr_colaborador.idColaborador = cr_mercado_representante.idColaborador
       		  WHERE cr_sucursal.eliminado = '0'
       		  		and  cr_mercado.eliminado = '0'  
       		  		and  cr_colaborador.eliminado = '0'  
       		  		and  cr_colaborador.idRol = 'sys.ope'
       		  		";
      
    
      $result_J = mysql_db_query(Conexion::getNameDb(), $sql, $con);
      //echo $sql;
      //echo "<br><br><br><br><br><br>ddddd";
      $num_rows_J = mysql_num_rows($result_J);
      echo $num_rows_J;
      if($num_rows_J > 0){
        while ($o_valor_J = mysql_fetch_object($result_J)) {
  	
        	$IdSucursal 		= $o_valor_J->IdSucursal;
        	$IdMercado 			= $o_valor_J->IdMercado;
        	$IdColaborador		= $o_valor_J->IdColaborador;
        	$NombreSucursal		= $o_valor_J->NombreSucursal;
        	$NombreMercado		= $o_valor_J->NombreMercado;
        	$NombreRepresentante= $o_valor_J->NombreRepresentante;
        	        	
        	
        	$c_prestamosId_CN = "";
  			$c_prestamosId_PV = "";
  			$c_prestamosId_PM = "";
  			$c_prestamosId_PGA = "";
  			
  			$c_prestamosPN = "";
  			$c_prestamosPR = "";
  			$c_prestamosPF = "";
  			
  			$c_cobranza_CM = "";
  			$c_cobranza_CD = "";
  			$c_cobranza_CaT = "";	  		
  			
  			$prestamos_nuevos 		= 0;
			$prestamos_renovados 	= 0;
			$prestamos_financiados	= 0;
			$a_prestamosPN 	= null;
			$a_prestamosPR 	= null;
			$a_prestamosPF 	= null;
			
			
			$clientes_nuevos 	= 0;
			$a_prestamosId_CN 	= null;
			$a_prestamosId_PGA 	= null;
			$sumaPrestamosGA	= 0;
  			
		  			  	
		  	//Para reporte 1 (CN) y 4 --  5, 6 y 7 --------------------------------------------------------------------------------------
			$sql = "SELECT *
					FROM 	cr_prestamo
					WHERE 	1 and FechaInicio = '".$FechaBalance."' 
							and IdColaborador = '".$IdColaborador."'  and estado = 'P'";
				
			$result_p = mysql_query($sql,$con);
			$num_rows_p = mysql_num_rows($result_p);
			
			if($num_rows_p > 0){
				
				
				
				
		  		while ($o_valor_p = mysql_fetch_object($result_p)) {
		  			$IdPrestamo = $o_valor_p->IdPrestamo;
		  			$IdCliente 	= $o_valor_p->IdCliente;
		  			$FechaInicio 	= $o_valor_p->FechaInicio;
		  			
		  			
		  			if($o_valor_p->Origen == "F"){ //Son prestamos renovados y financiados
		  				
		  				if($o_valor_p->MontoExtra){
		  					$prestamos_renovados++;		  				
							$a_prestamosPR[] = $IdPrestamo;	
		  				}else{
		  					$prestamos_financiados++;		  				
							$a_prestamosPF[] = $IdPrestamo;	 				
		  				}
		  				
		  				if($o_valor_p->GastoAdministrativo > 0){ //Son prestamos nuevos	
		  					$a_prestamosId_PGA[] =  $o_valor_p->IdPrestamo;
		  					$sumaPrestamosGA 	+= $o_valor_p->GastoAdministrativo;
		  				}
		  			}
		  				
		  			//Verificar si el prestamo es de un cliente nuevo y ver que prestamos son nuevos
		  			if($o_valor_p->Origen == "R"){ //Son prestamos nuevos
		  				//Suma Gastos administrativos
			  			if($o_valor_p->GastoAdministrativo > 0){ //Son prestamos renovados
			  				$a_prestamosId_PGA[] =  $o_valor_p->IdPrestamo;
			  				$sumaPrestamosGA 	+= $o_valor_p->GastoAdministrativo;
			  			}
			  			
						$prestamos_nuevos++;		  				
						$a_prestamosPN[]	= $IdPrestamo;
		  				
		  				
		  				
		  				$sql = "SELECT *
								FROM 	cr_prestamo
								WHERE 	1 and IdCliente = '".$IdCliente."' 
										AND eliminado = '0'
										AND IdPrestamo <> '".$IdPrestamo."' 
										AND IdColaborador = '".$IdColaborador."'
										AND FechaInicio <= '".$FechaInicio."'
										";
							
						$result_pn = mysql_query($sql,$con);
						$num_rows_pn = mysql_num_rows($result_pn);
						
						if($num_rows_pn == 0){
							$a_prestamosId_CN[] =  $o_valor_p->IdPrestamo;
					  		$clientes_nuevos++;
					  	}
		  			}
		  			
		  		}
		  	}
		  	
  			//-------------------------------------------------------------------------------------------------------------------
  			
  			//Analizar los prestamos vencidos - los que se consideran como morosos para la fecha
  			
  			//Para reporte 2 y 3--------------------------------------------------------------------------------------
  			$a_prestamosId_PM = null;
  			$a_prestamosId_PV = null;
  			$sumaSaldoPrestamoM = 0;
  			$sumaSaldoPrestamoV = 0;
  			$dias_plazo = 7;
			$sql = "SELECT *
					FROM 	cr_prestamo
					WHERE 	1 and IdColaborador = '".$IdColaborador."' 
							and fechavencimiento < '$FechaBalance' and estado = 'P' and eliminado='0'";
			//if($IdColaborador == 12 )echo $sql;	
			$result_pvm = mysql_query($sql,$con);
			$num_rows_pvm = mysql_num_rows($result_pvm);
			
			if($num_rows_pvm > 0){
				while ($o_valor_pvm = mysql_fetch_object($result_pvm)) {
					if($o_valor_pvm->FlagReporte == '1'){
						$a_prestamosId_PM[] =  $o_valor_pvm->IdPrestamo;
			  			$sumaSaldoPrestamoM += $o_valor_pvm->SaldoPrestamo;
					}else{
						$fecha_tope = date('Y-m-d',strtotime($o_valor_pvm->FechaVencimiento.' +7 day'));
						
						if($fecha_tope <= $FechaBalance){
							$a_prestamosId_PM[] =  $o_valor_pvm->IdPrestamo;
			  				$sumaSaldoPrestamoM += $o_valor_pvm->SaldoPrestamo;
						}else{
							//echo $o_valor_p->IdPrestamo."--><br>";
							$a_prestamosId_PV[] =  $o_valor_pvm->IdPrestamo;
			  				$sumaSaldoPrestamoV += $o_valor_pvm->SaldoPrestamo;
						}
					}
				}
			}
					  			
  			//-------------------------------------------------------------------------------------------------------------------
  			
			//Analizar los prestamos vencidos - los que se consideran como morosos para la fecha
  			
  			//Para reporte 8 y 10 --------------------------------------------------------------------------------------
  			$a_cobranza_CM = null;
  			$a_cobranza_CD = null;
  			$sumaPagoCM = 0;
  			$sumaPagoCD = 0;
  			
			$sql = "SELECT *
					FROM 	cr_pago
					WHERE 	1 and IdColaborador = '".$IdColaborador."' 
							and FechaPago = '$FechaBalance' and MontoPago > 0";
				
			$result_p = mysql_query($sql,$con);
			$num_rows_p = mysql_num_rows($result_p);
			
			if($num_rows_p > 0){
				while ($o_valor_p = mysql_fetch_object($result_p)) {
					
						if($o_valor_p->TipoPago == 2){
							$sumaPagoCM += $o_valor_p->MontoPago;
							$a_cobranza_CM[] += $o_valor_p->IdPrestamo;
						}else{
							$sumaPagoCD += $o_valor_p->MontoPago;
		  					$a_cobranza_CD[] += $o_valor_p->IdPrestamo;
						}
					
				}
			}
					  			
  			//-------------------------------------------------------------------------------------------------------------------  			
  			
  			//Para reporte 9 --------------------------------------------------------------------------------------
  			$a_cobranza_CaT = null;
  			
  			$SaldoPrestamo 	= 0;
  			  			
			$sql = "SELECT *
					FROM 	cr_prestamo
					WHERE 	1 and IdColaborador	= '".$IdColaborador."' 
							and estado 			= 'P' ";
				
			$result_p = mysql_query($sql,$con);
			$num_rows_p = mysql_num_rows($result_p);
			
			if($num_rows_p > 0){
				while ($o_valor_p = mysql_fetch_object($result_p)) {
						$a_cobranza_CaT[] = $o_valor_p->IdPrestamo;				
						$SaldoPrestamo  += $o_valor_p->SaldoPrestamo;
						
					
				}
			}
  			
  			//-------------------------------------------------------------------------------------------------------------------
  			
  			
  			
  			
  			if(is_array($a_prestamosId_CN)) $c_prestamosId_CN = implode(",",$a_prestamosId_CN);
  			
  			if(is_array($a_prestamosId_PV)) $c_prestamosId_PV = implode(",",$a_prestamosId_PV);
  			if(is_array($a_prestamosId_PM)) $c_prestamosId_PM = implode(",",$a_prestamosId_PM);
  			if(is_array($a_prestamosId_PGA)) $c_prestamosId_PGA = implode(",",$a_prestamosId_PGA);
  			
  			if(is_array($a_prestamosPN)) $c_prestamosPN = implode(",",$a_prestamosPN);
  			if(is_array($a_prestamosPR)) $c_prestamosPR = implode(",",$a_prestamosPR);
  			if(is_array($a_prestamosPF)) $c_prestamosPF = implode(",",$a_prestamosPF);
  			
  			if(is_array($a_cobranza_CM)) $c_cobranza_CM = implode(",",$a_cobranza_CM);
  			if(is_array($a_cobranza_CD)) $c_cobranza_CD = implode(",",$a_cobranza_CD);
  			if(is_array($a_cobranza_CaT)) $c_cobranza_CaT = implode(",",$a_cobranza_CaT);
  			
  			  			
			$sql = "INSERT INTO
						dw_matriz
						(
						fecha,idmercado,idsucursal,idcolaborador,
						ind_cn,id_pre_cn,
						ind_pv,id_pre_pv,
						ind_pm,id_pre_pm,
						ind_pga,id_pre_pga,
						ind_pn,id_pre_pn,
						ind_pr,id_pre_pr,
						ind_pf,id_pre_pf,
						ind_cm,id_pre_cm,
						ind_cat,id_pre_cat,
						ind_cd,id_pre_cd,
						nombresucursal, nombremercado,nombrerepresentante
						)
					VALUES
						(
						'".$FechaBalance."','".$IdMercado."','".$IdSucursal."', '".$IdColaborador."',
						'".$clientes_nuevos."','".$c_prestamosId_CN."',
						'".$sumaSaldoPrestamoV."', '".$c_prestamosId_PV."',
						'".$sumaSaldoPrestamoM."', '".$c_prestamosId_PM."',
						'".$sumaPrestamosGA."', '".$c_prestamosId_PGA."',
						'".$prestamos_nuevos."', '".$c_prestamosPN."',
						'".$prestamos_renovados."', '".$c_prestamosPR."',
						'".$prestamos_financiados."', '".$c_prestamosPF."',
						'".$sumaPagoCM."', '".$c_cobranza_CM."',
						'".$SaldoPrestamo."', '".$c_cobranza_CaT."',
						'".$sumaPagoCD."', '".$c_cobranza_CD."',
						'".$NombreSucursal."', '".$NombreMercado."', '".$NombreRepresentante."'
						
						)";
				
			$result_p = mysql_query($sql,$con);
			
	  	
        }
      }
  	
  }
}





exit;

